"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParseRelationshipNamePipe = void 0;
const common_1 = require("@nestjs/common");
const helper_1 = require("../../../helper");
class ParseRelationshipNamePipe {
    constructor(repository) {
        this.repository = repository;
    }
    transform(value) {
        const relation = this.repository.metadata.relations.find((relation) => {
            return relation.propertyPath === value;
        });
        if (!relation) {
            const name = (0, helper_1.snakeToCamel)((0, helper_1.getEntityName)(this.repository.target));
            throw new common_1.BadRequestException([
                {
                    detail: `Relation '${value}' does not exist in resource '${name}'`,
                },
            ]);
        }
        return value;
    }
}
exports.ParseRelationshipNamePipe = ParseRelationshipNamePipe;
//# sourceMappingURL=parse-relationship-name.pipe.js.map